XFISHTANK(1x)

NAME
xfishtank - Fish swimming across your Root Window

SYNOPSIS
xfishtank [-c <color>] [-b <limit>] [-f <limit>] [-i <mult>] [-r <rate>] [-m <num>] [-C <num>] [-d] [-p <file>] [host:display]

DESCRIPTION

xfishtank is a animation program to simulate an Aquarium on your X desktop.

Each fish can have up to 255 colors, but on startup the program takes all the colors from all the fish, and squeezes them down to all fit into the default colormap as best it can. Any fish can be any size in width and height. To make them look more like they are swimming, fish are animated (Very simple 2 frame animation). Fish CANNOT swim over each other, they will turn around if they are about to collide.

OPTIONS

-c color
    Background color of the fishtank

-b limit
    Number of bubbles (Default is set to 32)

-f limit
    Number of fishes (Default is set to 10)

-i inter
    Move interval (Default is set to 0.2)

-r rate
    Move frequency (Default is set to 0.2)

-m num
    Median cut to this many colors

-C num
    Use only this many color cells

-d  Clip fish, swim on root window

-p file
    Fish swim on picture in file

-host:dpy
    This option specifies the X server to contact.

SEE ALSO

X(1), xsetroot(1x)

AUTHORS
Eric Bina, <ebina@ncsa.uiuc.edu> (Original author)

Dave Black, <dlbb0@amdahl.com> (Linux port)

TJ Phan, <phan@aur.alcatel.com> (TrueColor Support)

Vincent Renardias <vincent@waw.com> (man page, Debian packaging)

Send bugs (or their reports, or fixes) here: <http://www.debian.org/Bugs/>.